GBMODES(1)

NAME
gbmodes - Analyze multimodality in univariate data

SYNOPSIS
gbmodes [options]

DESCRIPTION
Multimodality analysis via kernel density estimation. Compute the maximal kernel bandwidth h_c(M) for which #(modes in the estimated density)>M.The significance of h_c is computed via smoothed bootstrap. Read data from std. input. Print the couple h_c p(h_c) and the modal values (set with -O).

OPTIONS

-n  number of equispaced points where the density is computed (default 100)

-m  number of modes (default 1)

-r  search range for modes; comma separated couple 'data_min,data_max'

-s  scale the search range to [min*s+(1-s)*Max,Max*s+(1-s)*min] (default 1)

-e  relative tolerance on h_c value (default 1e-6)

-S  significance level (for Hall-York correction) (default .05)

-t  number of bootstrap trials used for significance computation (default 1000)

-R  RNG seed for bootstrap trials (default 0)

-K  choose the kernel to use: 0 Gaussian or 1 Laplacian (default 0)

-v  verbose mode (more verbose if provided 2 times)

-O  output type (default 0)

0   h_c p(h_c) [modes locations]

1   h_c [modes locations and heights]

-F  specify the input fields separators (default " \t")

-h  this help

AUTHOR
Written by Giulio Bottazzi

REPORTING BUGS
Report bugs to <gbutils@googlegroups.com>

Package home page <http://cafim.sssup.it/~giulio/software/gbutils/index.html>

COPYRIGHT
Copyright © 2001-2018 Giulio Bottazzi This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License (version 2) as published by the Free Software Foundation;

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.